<?
include '../config.php';
include '../func.php';
head();
aut();
ban();
////////////////////////

echo head . "<b>Создаем группу</b>" . div . katalog;   

####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'clan' WHERE `id` = '".$id_session."'");
####################################################

/*mysql_query ("Select * from clans WHERE `user` = '".$id_session."'");
if(mysql_affected_rows()!=0) {

echo 'У вас уже есть группа.<br/>';
pod_navig();
foot();
exit();

}*/

    
if ( empty ($_POST['submit']) ) {
    echo "<form action=\"add.php\" method=\"post\" name=\"form\"\">";
    
    echo '<b>Название группы:</b><br/>';
    echo '<textarea id="tarea" name="name" cols="25" rows="5"></textarea><br/><br/>';
    
    echo '<b>Описание группы:</b><br/>';
    echo '<textarea id="tarea" name="info" cols="25" rows="5"></textarea><br/><br/>';
    
    echo '<b>Приватность:</b><br/>
    <select name="private">
    <option value="0">Открытая</option>
    <option value="1">Закрытая</option>
    </select><br/><br/>';
    
    echo '<input name="submit" type="submit" class="button" value="Создать" /></form><br/>';

} else {
    
    $name = html($_POST['name']);
    $info = html($_POST['info']);
    $private = num($_POST['private']);
    
    if ( empty($name) ) $err = 'Название группы не введено.<br/>';
    if ( empty($info) ) $err = 'Описание группы не введено.<br/>';
    
    if ( strlen($name) > 50) $err = 'Слишком длинное название группы.<br/>';
    if ( strlen($info) > 250) $err = 'Слишком длинное описание группы.<br/>';
    
    mysql_query ("Select * from clans WHERE `name` = '".$name."'");
    if(mysql_affected_rows()!=0) $err = 'Группа с таким названием уже есть.<br/>';

    ////////////////////////////

        
    if (mysql_query("INSERT INTO `clans` SET `name` = '".$name."', `info` = '".$info."', `user` = '".$id_session."', `private` = '".$private."', `date` = '".time()."'")) {
        $last = mysql_insert_id();
        mysql_query("INSERT INTO `clans_user` SET `user` = '".$id_session."', `clan` = '".$last."', `status` = '0', `date` = '".time()."'");
        header('Location: view.php?id='.$last);
    } else {
        header('Location: add.php?err="no"');
    }
            
}

////////////////////////

pod_navig();
foot();
?>